Package com.xebialabs.xlrelease.variable

# Class VariableHelper$

java.lang.Object
com.xebialabs.xlrelease.variable.VariableHelper$

All Implemented Interfaces:
  `VariableCollector`, `VariableReplacementHelper`

public class VariableHelper$ extends Object implements VariableReplacementHelper, VariableCollector

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final VariableHelper$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableHelper$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkVariable(Variable variable)`
  `void`
  `checkVariableIdsAreTheSame(String requestVariableId, String bodyVariableId)`
  `void`
  `checkVariables(List<Variable> variables)`
  `Variable`
  `cloneVariable(Variable variable, String newKey)`
  `boolean`
  `containsOnlyVariable(String input)`
  `boolean`
  `containsVariables(String input)`
  `List<Variable>`
  `fillVariableValues(List<Variable> target, List<Variable> source)`
  `Map<String,String>`
  `filterOutBlankStringVariables(Map<String,String> variables)`
  `Map<String,ValueWithInterpolation>`
  `filterOutBlankValues(Map<String,ValueWithInterpolation> variables)`
  `String`
  `formatVariableIfNeeded(String variableName)`
  `HashMap<String,Variable>`
  `getAllReleaseVariablesByKeys(Release release)`
  `Map<String,PasswordStringVariable>`
  `getExternalVariables(List<Variable> variables)`
  `Map<String,Variable>`
  `indexByKey(List<Variable> variables)`
  `boolean`
  `isCiPropertyVariable(String variableName)`
  Shows if a variable looks like a ${release.something}.
  `boolean`
  `isFolderVariable(String variableName)`
  `boolean`
  `isGlobalOrFolderVariable(String variableName)`
  `boolean`
  `isGlobalVariable(String variableName)`
  `boolean`
  `isGlobalVariableId(String id)`
  `String`
  `safeReplace(String input, String key, String replacement)`
  `String`
  `toString(Object untyped)`
  `Pattern`
  `VARIABLE_NAME_PATTERN()`
  `String`
  `withoutVariableSyntax(String variableKey)`
  `String`
  `withVariableSyntax(String variableName)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.xlrelease.variable.VariableCollector

  `collectVariables, collectVariablesFromValue, collectVariablesInScope, getUsedExternalPasswordVariables, getUsedStringVariables, getUsedVariables, getUsedVariables$default$2`

  ### Methods inherited from interface com.xebialabs.xlrelease.variable.VariableReplacementHelper

  `freezeUnresolvedVariable, getPasswordVariableValuesAsStrings, getVariableValuesAsStrings, getVariableValuesAsStrings, replaceAll, replaceAll, replaceAllWithInterpolation, replaceAllWithInterpolation, resolveInterpolatableVariables`

- ## Field Details

  - ### MODULE$

    public static final VariableHelper$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### VariableHelper$

    public VariableHelper$()

- ## Method Details

  - ### VARIABLE_NAME_PATTERN

    public Pattern VARIABLE_NAME_PATTERN()

  - ### safeReplace

    public String safeReplace(String input, String key, String replacement)

  - ### isCiPropertyVariable

    public boolean isCiPropertyVariable(String variableName)
    Shows if a variable looks like a ${release.something}. Note that it will return "true" also for names like ${release.custom} for which `com.xebialabs.xlrelease.domain.variables.reference.ReleasePropertyVariableKey.isReleasePropertyVariableKey()` would return "false". We discourage using such variables but they may exist in older installations.
    Parameters:
      `variableName` - (undocumented)
    Returns:
      (undocumented)

  - ### isGlobalVariable

    public boolean isGlobalVariable(String variableName)

  - ### isFolderVariable

    public boolean isFolderVariable(String variableName)

  - ### isGlobalOrFolderVariable

    public boolean isGlobalOrFolderVariable(String variableName)

  - ### containsVariables

    public boolean containsVariables(String input)

  - ### formatVariableIfNeeded

    public String formatVariableIfNeeded(String variableName)

  - ### containsOnlyVariable

    public boolean containsOnlyVariable(String input)

  - ### withVariableSyntax

    public String withVariableSyntax(String variableName)

  - ### withoutVariableSyntax

    public String withoutVariableSyntax(String variableKey)

  - ### checkVariable

    public void checkVariable(Variable variable)

  - ### checkVariables

    public void checkVariables(List<Variable> variables)

  - ### getExternalVariables

    public Map<String,PasswordStringVariable> getExternalVariables(List<Variable> variables)

  - ### indexByKey

    public Map<String,Variable> indexByKey(List<Variable> variables)

  - ### checkVariableIdsAreTheSame

    public void checkVariableIdsAreTheSame(String requestVariableId, String bodyVariableId)

  - ### isGlobalVariableId

    public boolean isGlobalVariableId(String id)

  - ### fillVariableValues

    public List<Variable> fillVariableValues(List<Variable> target, List<Variable> source)

  - ### cloneVariable

    public Variable cloneVariable(Variable variable, String newKey)

  - ### filterOutBlankStringVariables

    public Map<String,String> filterOutBlankStringVariables(Map<String,String> variables)

  - ### filterOutBlankValues

    public Map<String,ValueWithInterpolation> filterOutBlankValues(Map<String,ValueWithInterpolation> variables)

  - ### getAllReleaseVariablesByKeys

    public HashMap<String,Variable> getAllReleaseVariablesByKeys(Release release)

  - ### toString

    public String toString(Object untyped)